#include "opengl2ray.h"

// main function for rayrendering
void opengl2ray(void) {
	create_window();
	init_raytracer();

	//eye[0] = 3.0; eye[1] = 3.0; eye[2] = 3.0;
	//center[0] = 0.0; center[1] = 0.0; center[2] = 0.0;
	//up[0] = -0.5; up[1] = 1.0; up[2] = -0.5;
	//fovy = 0.8; znear = 1.0;



	//lights[0][0] = 4.0; lights[0][1] = 3.0; lights[0][2] = 5.0;
	//lights[0][3] = 255; lights[0][4] = 255; lights[0][5] = 255;

	//lights[1][0] = 1.0; lights[1][1] = 3.0; lights[1][2] = 1.0;
	//lights[1][3] = 255; lights[1][4] = 255; lights[1][5] = 255;

	//ka = 0.1; 
	//e = 25; steps = 8;
	//Ia[0] = 255; Ia[1] = 255; Ia[2] = 255;

	// init OpenGl scene
	init_opengl_scene();

	int frame = 0;
	char *filename = new char[20];

	while(frame < 1) {
		reset_raytracer();
		sprintf(filename, "image%05d.bmp", frame);

		// redraw opengl scene
		redraw();

		// transform coordinates
		transform_coords();
		draw_raytracer(filename);

		// status
		printf("Frame %d of %d\n", frame, 10);

		// next frame
		frame++;
	}
}